liblinphone 3.6.1

- Main Page
- Related Pages
- Modules
- Data Structures

Typedefs | Enumerations | Functions
Managing call logs

## Typedefs
typedef enum _LinphoneCallDir | LinphoneCallDir
typedef enum _LinphoneCallStatus | LinphoneCallStatus
typedef struct _LinphoneCallLog | LinphoneCallLog

## Enumerations
enum | _LinphoneCallDir { LinphoneCallOutgoing, LinphoneCallIncoming }
enum | _LinphoneCallStatus { LinphoneCallSuccess, LinphoneCallAborted, LinphoneCallMissed, LinphoneCallDeclined }

## Functions
char * | linphone_call_log_to_str (LinphoneCallLog *cl)
const rtp_stats_t * | linphone_call_log_get_local_stats (const LinphoneCallLog *cl)
const rtp_stats_t * | linphone_call_log_get_remote_stats (const LinphoneCallLog *cl)
void | linphone_call_log_set_user_pointer (LinphoneCallLog *cl, void *up)
void * | linphone_call_log_get_user_pointer (const LinphoneCallLog *cl)
void | linphone_call_log_set_ref_key (LinphoneCallLog *cl, const char *refkey)
const char * | linphone_call_log_get_ref_key (const LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_from (LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_to (LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_remote_address (LinphoneCallLog *cl)
LinphoneCallDir | linphone_call_log_get_dir (LinphoneCallLog *cl)
LinphoneCallStatus | linphone_call_log_get_status (LinphoneCallLog *cl)
time_t | linphone_call_log_get_start_date (LinphoneCallLog *cl)
int | linphone_call_log_get_duration (LinphoneCallLog *cl)
float | linphone_call_log_get_quality (LinphoneCallLog *cl)
LinphoneCallStatus | linphone_call_log_video_enabled (LinphoneCallLog *cl)
const MSList * | linphone_core_get_call_logs (LinphoneCore *lc)
void | linphone_core_clear_call_logs (LinphoneCore *lc)

## Detailed Description

## Typedef Documentation

typedef enum _LinphoneCallDir LinphoneCallDir

Typedef for enum

typedef enum _LinphoneCallStatus LinphoneCallStatus

Enum representing the status of a call

typedef struct _LinphoneCallLog LinphoneCallLog

Structure representing a call log.

## Enumeration Type Documentation

enum _LinphoneCallDir

Enum representing the direction of a call.

Enumerator:

  LinphoneCallOutgoing | outgoing calls
  LinphoneCallIncoming | incoming calls

enum _LinphoneCallStatus

Enum representing the status of a call

Enumerator:

  LinphoneCallSuccess | The call was sucessful
  LinphoneCallAborted | The call was aborted
  LinphoneCallMissed | The call was missed (unanswered)
  LinphoneCallDeclined | The call was declined, either locally or by remote end

## Function Documentation

char* linphone_call_log_to_str | ( | LinphoneCallLog * | cl | ) |

Returns a human readable string describing the call.

Note:
  : the returned char* must be freed by the application (use ms_free()).

const rtp_stats_t* linphone_call_log_get_local_stats | ( | const LinphoneCallLog * | cl | ) |

Returns RTP statistics computed locally regarding the call.

const rtp_stats_t* linphone_call_log_get_remote_stats | ( | const LinphoneCallLog * | cl | ) |

Returns RTP statistics computed by remote end and sent back via RTCP.

Note:
  Not implemented yet.

void linphone_call_log_set_user_pointer | ( | LinphoneCallLog * | cl,
|  | void * | up
| ) |  |

Assign a user pointer to the call log.

void* linphone_call_log_get_user_pointer | ( | const LinphoneCallLog * | cl | ) |

Returns the user pointer associated with the call log.

void linphone_call_log_set_ref_key | ( | LinphoneCallLog * | cl,
|  | const char * | refkey
| ) |  |

Associate a persistent reference key to the call log.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

const char* linphone_call_log_get_ref_key | ( | const LinphoneCallLog * | cl | ) |

Get the persistent reference key associated to the call log.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

LinphoneAddress* linphone_call_log_get_from | ( | LinphoneCallLog * | cl | ) |

Returns origin (ie from) address of the call.

LinphoneAddress* linphone_call_log_get_to | ( | LinphoneCallLog * | cl | ) |

Returns destination address (ie to) of the call.

LinphoneAddress* linphone_call_log_get_remote_address | ( | LinphoneCallLog * | cl | ) |

Returns remote address (that is from or to depending on call direction).

LinphoneCallDir linphone_call_log_get_dir | ( | LinphoneCallLog * | cl | ) |

Returns the direction of the call.

LinphoneCallStatus linphone_call_log_get_status | ( | LinphoneCallLog * | cl | ) |

Returns the status of the call.

time_t linphone_call_log_get_start_date | ( | LinphoneCallLog * | cl | ) |

Returns the start date of the call, expressed as a POSIX time_t.

int linphone_call_log_get_duration | ( | LinphoneCallLog * | cl | ) |

Returns duration of the call.

float linphone_call_log_get_quality | ( | LinphoneCallLog * | cl | ) |

Returns overall quality indication of the call.

LinphoneCallStatus linphone_call_log_video_enabled | ( | LinphoneCallLog * | cl | ) |

return true if video was enabled at the end of the call

const MSList* linphone_core_get_call_logs | ( | LinphoneCore * | lc | ) |

Get the list of call logs (past calls).

void linphone_core_clear_call_logs | ( | LinphoneCore * | lc | ) |

Erase the call log.